%bcond_without check

%global goipath         github.com/bgentry/speakeasy
Version:                0.1.0

%gometa

%global common_description %{expand:
This package provides cross-platform Go helpers for taking user input from the
terminal while not echoing the input back (similar to getpasswd). The package
uses syscalls to avoid any dependence on cgo, and is therefore compatible with
cross-compiling.}

%global golicenses      LICENSE LICENSE_WINDOWS
%global godocs          example Readme.md

%global gosupfiles glide.lock glide.yaml

Name:           %{goname}
Release:    2%{?dist}
Summary:        Cross-platform golang helpers for reading password input without cgo

License:        MIT
URL:            %{gourl}
Source0:        %{gosource}
Source1:        glide.yaml
Source2:        glide.lock

%description
%{common_description}

%gopkg

%prep
%goprep
cp %{S:1} %{S:2} .

%install
%gopkginstall

%if %{with check}
%check
%gocheck
%endif

%gopkgfiles

%changelog
* Sat Jun 07 2025 bbrucezhang <bbrucezhang@tencent.com> - 0.1.0-2
- Rebuilt for loongarch64

* Mon Aug 26 2024 OpenCloudOS Release Engineering <releng@opencloudos.tech> - -1
- initial build
